Modify

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#10692 closed defect (fixed)

Direct download of bigger files in source broken

Reported by: skyper Owned by: skyper
Priority: normal Milestone:
Component: Trac Version:
Keywords: source link download Cc:

Description (last modified by skyper)

  1. click on "Browse Source"
  2. click on any direct download link just behind the file size

I did test it with source:trunk/data/defaultpresets.xml and other files.
Seems to be /HEAD is incorrectly added to the path, probably cause by last update of trac.

Attachments (1)

screenshot.png (21.4 KB) - added by skyper 5 years ago.
screenshot of error message

Download all attachments as: .zip

Change History (15)

comment:1 Changed 5 years ago by stoecker

Owner: changed from stoecker to skyper
Status: newneedinfo

What is the issue you have with this? HEAD simply refers to the most recent version.

Changed 5 years ago by skyper

Attachment: screenshot.png added

screenshot of error message

comment:2 Changed 5 years ago by stoecker

Must be a local issue. Works here.

comment:3 in reply to:  1 ; Changed 5 years ago by skyper

Replying to stoecker:

What is the issue you have with this? HEAD simply refers to the most recent version.

I am not sure what causes my problem and it has something to do with my setup.

Using iceweasel 33.0 in Privat-Modus with flashgot installed I get an error message a few seconds after the normal download dialog opens. This happens with all links to source (tested with the link in description) but not with normal attachments in the tickets. Using the links on the bottom of the page to download in original format works once you have opened the specific file.

comment:4 in reply to:  3 Changed 5 years ago by skyper

Resolution: othersoftware
Status: needinfoclosed

Replying to skyper:

Using iceweasel 33.0 in Privat-Modus with flashgot installed I get an error message a few seconds after the normal download dialog opens. This happens with all links to source (tested with the link in description) but not with normal attachments in the tickets. Using the links on the bottom of the page to download in original format works once you have opened the specific file.

Did test it on a different machine with same setup and get the same error message. Using chromium the link works, so I definitly have a problem with Iceweasel and its setup.

comment:5 Changed 5 years ago by skyper

Strange wget and curl have problems, too:

$ wget -vd http://josm.openstreetmap.de/export/HEAD/josm/trunk/data/defaultpresets.xml
DEBUG output created by Wget 1.13.4 on linux-gnu.

URI encoding = »UTF-8«
--2014-11-02 14:07:15--  http://josm.openstreetmap.de/export/HEAD/josm/trunk/data/defaultpresets.xml
Auflösen des Hostnamen »josm.openstreetmap.de (josm.openstreetmap.de)«... 78.47.52.148, 2a01:4f8:d16:2082::2
Caching josm.openstreetmap.de => 78.47.52.148 2a01:4f8:d16:2082::2
Verbindungsaufbau zu josm.openstreetmap.de (josm.openstreetmap.de)|78.47.52.148|:80... verbunden.
Created socket 3.
Releasing 0x00000000021ea010 (new refcount 1).

---request begin---
GET /export/HEAD/josm/trunk/data/defaultpresets.xml HTTP/1.1
User-Agent: Wget/1.13.4 (linux-gnu)
Accept: */*
Host: josm.openstreetmap.de
Connection: Keep-Alive

---request end---
HTTP-Anforderung gesendet, warte auf Antwort... 
---response begin---
HTTP/1.1 200 Ok
Date: Sun, 02 Nov 2014 13:07:15 GMT
Server: Apache/2.4.7 (Ubuntu)
Last-Modified: Sat, 01 Nov 2014 13:53:21 GMT
Pragma: no-cache
Cache-Control: no-cache
Expires: Fri, 01 Jan 1999 00:00:00 GMT
Content-Disposition: attachment
Set-Cookie: trac_session=f1b76a572a2ac164826fae80; expires=Sat, 31 Jan 2015 13:07:15 GMT; httponly; Path=/
Keep-Alive: timeout=5, max=100
Connection: Keep-Alive
Transfer-Encoding: chunked
Content-Type: application/atom+xml; charset=utf-8

---response end---
200 Ok

Stored cookie josm.openstreetmap.de -1 (ANY) / <permanent> <insecure> [expiry 2015-01-31 14:07:15] trac_session f1b76a572a2ac164826fae80
Registered socket 3 for persistent reuse.
URI content encoding = »utf-8«
Länge: nicht spezifiziert [application/atom+xml]
In »»defaultpresets.xml«« speichern.

    [ <=>                                   ] 77.824       411K/s   in 0,2s    

Disabling further reuse of socket 3.
Closed fd 3
2014-11-02 14:07:15 (411 KB/s) - Lesefehler bei Byte 77824 (Erfolg).Erneuter Versuch.

--2014-11-02 14:07:16--  (Versuch: 2)  http://josm.openstreetmap.de/export/HEAD/josm/trunk/data/defaultpresets.xml
Found josm.openstreetmap.de in host_name_addresses_map (0x21ea010)
Verbindungsaufbau zu josm.openstreetmap.de (josm.openstreetmap.de)|78.47.52.148|:80... verbunden.
Created socket 3.
Releasing 0x00000000021ea010 (new refcount 1).

---request begin---
GET /export/HEAD/josm/trunk/data/defaultpresets.xml HTTP/1.1
Range: bytes=77824-
User-Agent: Wget/1.13.4 (linux-gnu)
Accept: */*
Host: josm.openstreetmap.de
Connection: Keep-Alive
Cookie: trac_session=f1b76a572a2ac164826fae80

---request end---
HTTP-Anforderung gesendet, warte auf Antwort... 
---response begin---
HTTP/1.1 200 Ok
Date: Sun, 02 Nov 2014 13:07:16 GMT
Server: Apache/2.4.7 (Ubuntu)
Last-Modified: Sat, 01 Nov 2014 13:53:21 GMT
Pragma: no-cache
Cache-Control: no-cache
Expires: Fri, 01 Jan 1999 00:00:00 GMT
Content-Disposition: attachment
Keep-Alive: timeout=5, max=100
Connection: Keep-Alive
Transfer-Encoding: chunked
Content-Type: application/atom+xml; charset=utf-8

---response end---
200 Ok
Registered socket 3 for persistent reuse.
URI content encoding = »utf-8«
Länge: nicht spezifiziert [application/atom+xml]
In »»defaultpresets.xml«« speichern.

    [         <=>                           ] 544.768      296K/s   in 1,8s    

Disabling further reuse of socket 3.
Closed fd 3
2014-11-02 14:07:18 (296 KB/s) - Lesefehler bei Byte 544768 (Erfolg).Erneuter Versuch.

--2014-11-02 14:07:20--  (Versuch: 3)  http://josm.openstreetmap.de/export/HEAD/josm/trunk/data/defaultpresets.xml
Found josm.openstreetmap.de in host_name_addresses_map (0x21ea010)
Verbindungsaufbau zu josm.openstreetmap.de (josm.openstreetmap.de)|78.47.52.148|:80... verbunden.
Created socket 3.
Releasing 0x00000000021ea010 (new refcount 1).

---request begin---
GET /export/HEAD/josm/trunk/data/defaultpresets.xml HTTP/1.1
Range: bytes=544768-
User-Agent: Wget/1.13.4 (linux-gnu)
Accept: */*
Host: josm.openstreetmap.de
Connection: Keep-Alive
Cookie: trac_session=f1b76a572a2ac164826fae80

---request end---
HTTP-Anforderung gesendet, warte auf Antwort... 
---response begin---
HTTP/1.1 200 Ok
Date: Sun, 02 Nov 2014 13:07:20 GMT
Server: Apache/2.4.7 (Ubuntu)
Last-Modified: Sat, 01 Nov 2014 13:53:21 GMT
Pragma: no-cache
Cache-Control: no-cache
Expires: Fri, 01 Jan 1999 00:00:00 GMT
Content-Disposition: attachment
Keep-Alive: timeout=5, max=100
Connection: Keep-Alive
Transfer-Encoding: chunked
Content-Type: application/atom+xml; charset=utf-8

---response end---
200 Ok
Registered socket 3 for persistent reuse.
URI content encoding = »utf-8«
Länge: nicht spezifiziert [application/atom+xml]
In »»defaultpresets.xml«« speichern.

    [       <=>                             ] 544.768      375K/s   in 1,4s    

Disabling further reuse of socket 3.
Closed fd 3
2014-11-02 14:07:22 (375 KB/s) - Lesefehler bei Byte 544768 (Erfolg).Erneuter Versuch.

....

comment:6 Changed 5 years ago by stoecker

Resolution: othersoftware
Status: closedreopened

Hmm, I get the same with wget. I depends on the file length. For shorter files it works, not for longer. Content-Length is missing for these files and they simply break in the middle of the file and also don't support restart.

Did this work before with 1.0.1?

comment:7 Changed 5 years ago by stoecker

Large files in other places works, so the export seems broken.

comment:8 Changed 5 years ago by stoecker

Reason is probably reworked chunk handling: trac:changeset/11818

Last edited 5 years ago by skyper (previous) (diff)

comment:9 in reply to:  6 Changed 5 years ago by skyper

Replying to stoecker:

Hmm, I get the same with wget. I depends on the file length. For shorter files it works, not for longer. Content-Length is missing for these files and they simply break in the middle of the file and also don't support restart.

Did this work before with 1.0.1?

Yes, had no problem with source:trunk/data/defaultpresets.xml or did it just lately reach the needed length to trigger thr problem ?

comment:10 Changed 5 years ago by skyper

Description: modified (diff)
Summary: Incorrect link for direct download of file in sourceDirect download of bigger files in source broken

comment:11 Changed 5 years ago by stoecker

Resolution: fixed
Status: reopenedclosed

comment:12 Changed 5 years ago by Don-vip

What was the problem? Did you patch Trac?

comment:13 Changed 5 years ago by bastiK

See corresponding bug report: #trac11805

comment:14 Changed 5 years ago by Don-vip

waw that was serious business. Thanks Dirk!

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain skyper.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.